sdr::PortSink Class Reference
Data sinks.

PortAudio playback node. More...

`#include <portaudio.hh>`

Inheritance diagram for sdr::PortSink:

## Public Member Functions

| PortSink ()
| Constructor. More...
virtual | ~PortSink ()
| Destructor. More...
virtual void | config (const Config &src_cfg)
| Configures the PortAudio output. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Playback. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

PaStream * | _stream
| The PortAudio stream. More...
size_t | _frame_size
| The frame-size. More...

## Detailed Description

PortAudio playback node.

## Constructor & Destructor Documentation

PortSink::PortSink | ( |  | ) |

Constructor.

PortSink::~PortSink | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void PortSink::config | ( | const Config & | src_cfg | ) |

virtual

Configures the PortAudio output.

Implements sdr::SinkBase.

void PortSink::handleBuffer | ( | const RawBuffer & | buffer,
|  | bool | allow_overwrite
| ) |  |

virtual

Playback.

Implements sdr::SinkBase.

## Member Data Documentation

size_t sdr::PortSink::_frame_size

protected

The frame-size.

PaStream* sdr::PortSink::_stream

protected

The PortAudio stream.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/portaudio.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/portaudio.cc